Bug 842050 - [abrt] gtranslator-2.91.5-1.fc17: crash in gtr_gda_store_list(): rpm misses dependency for libgda-sqlite
[abrt] gtranslator-2.91.5-1.fc17: crash in gtr_gda_store_list(): rpm misses d...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gtranslator (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
abrt_hash:541af21d59cdebd02c61e85a566...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 06:33 EDT by Muhammet Kara
Modified: 2015-09-03 14:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.91.7-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 14:50:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (10.12 KB, text/plain)
2012-07-21 06:33 EDT, Muhammet Kara
no flags Details
File: maps (41.58 KB, text/plain)
2012-07-21 06:33 EDT, Muhammet Kara
no flags Details
File: backtrace (22.12 KB, text/plain)
2012-07-21 06:33 EDT, Muhammet Kara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 654053 None None None Never

  None (edit)
Description Muhammet Kara 2012-07-21 06:33:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gtranslator
comment:        Gtranslator crashed during the initial attempt to create the translation memory.
crash_function: gtr_gda_store_list
executable:     /usr/bin/gtranslator
kernel:         3.4.5-2.fc17.x86_64
pid:            27824
pwd:            /home/kara
time:           Cts 21 Tem 2012 13:23:37 EEST
uid:            1000

backtrace:      Text file, 22656 bytes
dso_list:       Text file, 10364 bytes
maps:           Text file, 42580 bytes

build_ids:
:2b8dec8a72fa805a35f0bf50beff91f6c621cd81
:f69712fe393313f44607679e934bf5a67f39ec50
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:54a5cc118d928470da13565de8592b664a9868e0
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:4c9c864a7c7b7ed702088955821d58137803462d
:ec4ae4651095426c7506ed110ee89f437bce89e1
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:9a81be4e4636b5dc1c02fa319cff36f837fe38de
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f534feded388130df4a9e789eec1e38c320bc55b
:87712be648d2d43ea4cd002fe7a859df636f1e13
:81b3fb6be6f4b0769c050cb69a1e587bd5fd4c06
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe
:b277af36744327e3d58eae76bcdaadcca71a28c6
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:929d271f51370434d6e9f63b74694fb424470462
:cc41af4108b037cbb679de094e84941bc88459c9
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:9e6594e38d36f94f5e02c90731970f1c72396147
:31243d0d107bba586a96433c76c87a26db1e826c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:f4c064df8745dff15466d705fb049138f9a5c949
:a0d51d0c4a4460b69b78b75935d5303091d7c2c9
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:508cf66f72e70054a41215f80ed2385c6bb80030
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:e3354959e32e471066df83c93f98f33e75198697
:822e9b3523e8312240f41a25722d539bc77ed436
:420cc38bca4cd278f4644f7c2d9fe6291e4cb2fa
:461631fb858a21eed36abeeb5fc92ae05bbd098c
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:0008a6c4028b3826f8905324c770e7aa450e5d3b
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:ec87953f655fbcbcbe71b591db5451e56739576e
:a1ba2bc316ac950764d3e8f371a959f2a9e26abf
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:6ded09a8a2934ad01a2f5158d19e143a88c92f65
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:8883675a02b466547a122a9117742c5771456644
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8f7c190397d7c1f617e66f18f759714662b60367
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:247132297f287226a24c12e683292f5c94013066
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/kara/2

core_backtrace:
:9a81be4e4636b5dc1c02fa319cff36f837fe38de 0xaac1 - libtranslation-memory.so -
:9a81be4e4636b5dc1c02fa319cff36f837fe38de 0x8aa4 - libtranslation-memory.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x97dec g_application_run libgio-2.0.so.0 -
:a0d51d0c4a4460b69b78b75935d5303091d7c2c9 0x19417 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=core
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/kara/keyring-WP4Lti
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:MAIL=/var/spool/mail/kara
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/kara/.local/bin:/home/kara/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/kara
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=877
:LANG=tr_TR.utf8
:GDM_LANG=tr_TR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/kara
:SHLVL=1
:LOGNAME=kara
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-k4izbVpXgq,guid=ecd65540c12e9ab26df6d69000000028
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/kara
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-kara-eCnmZh/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/881,unix/unix:/tmp/.ICE-unix/881
:SSH_AUTH_SOCK=/run/user/kara/keyring-WP4Lti/ssh
:GPG_AGENT_INFO=/run/user/kara/keyring-WP4Lti/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gtranslator.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=27824
:DESKTOP_STARTUP_ID=gnome-shell-1109-core-gtranslator-6_TIME18534724

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30955                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30955                30955                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/kara/.xsession-errors
:pos:	15689
:flags:	0102002
:2:/home/kara/.xsession-errors
:pos:	15689
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1797636]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[1796774]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[1796776]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:socket:[1823242]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul 21 13:23:37 core kernel: [18713.208541] gtranslator[27824]: segfault at 8 ip 00007fa31228aac1 sp 00007fffd11314e0 error 4 in libtranslation-memory.so[7fa312280000+10000]
:Jul 21 13:23:37 core abrt[27848]: Saved core dump of pid 27824 (/usr/bin/gtranslator) to /var/spool/abrt/ccpp-2012-07-21-13:23:37-27824 (48054272 bytes)
Comment 1 Muhammet Kara 2012-07-21 06:33:45 EDT
Created attachment 599516 [details]
File: dso_list
Comment 2 Muhammet Kara 2012-07-21 06:33:48 EDT
Created attachment 599517 [details]
File: maps
Comment 3 Muhammet Kara 2012-07-21 06:33:51 EDT
Created attachment 599518 [details]
File: backtrace
Comment 4 Muhammet Kara 2013-01-23 16:10:13 EST
-Click "Build Translation Memory" from the "Tools" menu.
-Select the folder which contains translated po files to be added to the translation memory.
-Click "Add to Database" button.
...And the program crashes.


backtrace_rating: 4
Package: gtranslator-2.91.6-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 5 Muhammet Kara 2013-01-23 17:28:37 EST
On GNOME Bugzilla, Kjartan Maraas commented:

"Installing libgda-sqlite fixed it for me. Someone needs to add a dep to the
package in Fedora I guess."

And, just installing this package solved my problem.

It's funny that such a little thing prevented me (any many others) from using gtranslator on fedora for the last a few releases. :)
Comment 6 christian.kirbach@googlemail.com 2013-02-03 10:39:44 EST
Muhammet, can you change the bug title to

"[abrt] gtranslator-2.91.5-1.fc17: crash in gtr_gda_store_list(): rpm misses dependency for libgda-sqlite"

please? Thanks.
Comment 7 Muhammet Kara 2013-09-28 08:54:42 EDT
Bug still exists in fedora 19
Comment 8 christian.kirbach@googlemail.com 2014-09-03 07:30:53 EDT
Bug is still valid for 2.91.6-4.fc20
Comment 9 Muhammet Kara 2014-12-10 16:04:14 EST
Bug is still valid for fedora 21. It seems like no one will ever fix this. I'll be happy to help if someone could point me to the right direction.
Comment 10 Muhammet Kara 2015-08-09 09:34:07 EDT
Still valid for Fedora 22.
Comment 11 Kalev Lember 2015-08-21 08:32:43 EDT
I ran into this as well and should be now fixed in gtranslator-2.91.7-2.fc22

Thanks for the investigation, Muhammat!
Comment 12 Fedora Update System 2015-08-21 08:33:17 EDT
gtranslator-2.91.7-2.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=842050
Comment 13 Fedora Update System 2015-08-21 22:51:18 EDT
gtranslator-2.91.7-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gtranslator'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13900
Comment 14 Fedora Update System 2015-09-03 14:50:09 EDT
gtranslator-2.91.7-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.